diff -Nuar ../vim72.orig/src/mbyte.c src/mbyte.c
--- ../vim72.orig/src/mbyte.c	2008-08-09 18:29:02.000000000 +0800
+++ src/mbyte.c	2009-05-08 13:37:31.468750000 +0800
@@ -5940,6 +5940,9 @@
     int		i;
     int		l;
     int		c;
+# ifdef WIN3264
+    int		UsedDefaultChar = FALSE;
+# endif
 
     if (lenp == NULL)
 	len = (int)STRLEN(ptr);
@@ -6120,7 +6123,13 @@
 		retlen = ucs2_to_utf8(tmp, tmp_len, NULL);
 	    else
 		retlen = WideCharToMultiByte(vcp->vc_cpto, 0,
-						    tmp, tmp_len, 0, 0, 0, 0);
+						    tmp, tmp_len, 0, 0, 0,
+						    &UsedDefaultChar);
+	    if (vcp->vc_fail && UsedDefaultChar)
+	    {
+		vim_free(tmp);
+		return NULL;
+	    }
 	    retval = alloc(retlen + 1);
 	    if (retval != NULL)
 	    {
